
/* Chrysalide - Outil d'analyse de fichiers binaires
 * pychrysa.h - prototypes pour le plugin permettant des extensions en Python
 *
 * Copyright (C) 2009-2012 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  OpenIDA is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  OpenIDA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _PLUGINS_PYCHRYSA_H
#define _PLUGINS_PYCHRYSA_H


/**
 * Note:
 * Since Python may define some pre-processor definitions which affect the standard headers
 * on some systems, you must include Python.h before any standard headers are included.
 *
 * cf. https://docs.python.org/3.4/c-api/intro.html
 */
#include <Python.h>






#if 0


#include <glib-object.h>
#include <stdbool.h>


#include "plugin.h"



/* Précise le nom associé au greffon. */
char *get_plugin_name(void);

/* Initialise le greffon permettant l'usage de Python. */
bool init_plugin(GPluginModule *, GObject *);

/* Libère le greffon permettant l'usage de Python. */
void exit_plugin(GPluginModule *);

/* Indique les opérations offertes par un greffon donné. */
PluginAction get_plugin_action(const GPluginModule *);


#if PY_VERSION_HEX >= 0x03000000

/* Point d'entrée pour l'initialisation de Python. */
//PyMODINIT_FUNC PyInit_pychrysa(void);
PyMODINIT_FUNC initpychrysa(void);

#else

/* Point d'entrée pour l'initialisation de Python. */
PyMODINIT_FUNC initpychrysa(void);

#endif

#endif




#include <plugins/plugin.h>



/* Point d'entrée pour l'initialisation de Python. */
PyMODINIT_FUNC PyInit_pychrysalide(void);

/* Prend acte du chargement du greffon. */
G_MODULE_EXPORT bool chrysalide_plugin_init(GPluginModule *, GObject *);



#endif  /* _PLUGINS_PYCHRYSA_H */
